/*
[Master Stylesheet] 
Project: Impel Car Dealer Html
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
 1. Index Page
-------------------------------------------------------------------*/

/********************************************************
    body start
********************************************************/

@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&family=Arimo:ital,wght@0,400..700;1,400..700&display=swap');
:root {
    --impl-gradient-color: linear-gradient(84.1deg, #FF5536 0%, #FF8D59 100%);
    --impl-white-color: #ffffff;
    --impl-font-color: #797979;
    --impl-black-color: #000000;
    --impl-heading-color: #222222;
    --impl-border-radius: 10px;
    --impl-transition: all 0.3s;
}

html {
    scroll-behavior: smooth;
}

*,
*:before,
*:after {
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    font-family: "Arimo", sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.15;
    color: var(--impl-font-color);
    position: relative;
}

*::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #f5f5f5;
    border-radius: 10px;
}

*::-webkit-scrollbar {
    width: 4px;
    background-color: #f5f5f5;
}

*::-webkit-scrollbar-thumb {
    border-radius: 1rem;
    background: var(--impl-gradient-color);
    min-height: 150px;
}

a,
a:hover,
a:focus,
button,
button:hover,
button:focus {
    text-decoration: none;
    -webkit-transition: var(--impl-transition);
    -moz-transition: var(--impl-transition);
    -ms-transition: var(--impl-transition);
    -o-transition: var(--impl-transition);
    transition: var(--impl-transition);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    -webkit-transition: var(--impl-transition);
    -moz-transition: var(--impl-transition);
    -ms-transition: var(--impl-transition);
    -o-transition: var(--impl-transition);
    transition: var(--impl-transition);
    margin: 0;
    padding: 0;
    word-break: break-word;
    text-transform: capitalize;
    line-height: 1.15;
}

h3 {
    font-size: 30px;
    font-weight: 700;
}

h4 {
    font-size: 20px;
    font-weight: 400;
}

h5 {
    font-size: 18px;
    font-weight: 500;
}

h6 {
    font-size: 18px;
    font-weight: 600;
}

input,
textarea,
select,
button,
label,
svg,
svg path,
svg rect,
svg polygon,
img,
a,
:after,
:before,
:hover,
:focus {
    outline: none;
    box-shadow: none;
    border: none;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

ul {
    padding: 0;
    margin: 0;
    list-style-type: none;
}

p {
    margin: 0px;
    word-break: break-word;
}

/********************************************************
    Common Style
********************************************************/

body.menu-open {
    overflow: hidden;
}

.impl_main_wrapper {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.container-fluid {
    max-width: 1920px;
}

.row>* {
    padding-right: calc(var(--bs-gutter-x)* .625);
    padding-left: calc(var(--bs-gutter-x)* .625);
}

.row {
    row-gap: 30px;
}

.impl_body_overlay {
    position: fixed;
    background: rgb(0 0 0 / 40%);
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    visibility: hidden;
    z-index: 9;
    cursor: zoom-in;
    -webkit-transition: all 0.3s linear 0s;
    -moz-transition: all 0.3s linear 0s;
    -ms-transition: all 0.3s linear 0s;
    -o-transition: all 0.3s linear 0s;
    transition: all 0.3s linear 0s;
}

.menu-open .impl_body_overlay {
    opacity: 1;
    visibility: visible;
}

.impl_section_wrapper {
    padding: 80px 0;
}

.impl_section_heading {
    text-align: center;
    margin-bottom: 20px;
}

.impl_section_heading h3 {
    color: var(--impl-black-color);
}

/********************************************************
    Go to Top Style
********************************************************/

.impl_top_icon a {
    display: flex;
    background: var(--impl-gradient-color);
    width: 60px;
    height: 60px;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
    position: fixed;
    bottom: 20px;
    right: 20px;
    transition: var(--impl-transition) opacity 0;
    visibility: hidden;
    z-index: 1000;
    cursor: pointer;
    animation: border-transform 4s linear infinite alternate forwards;
}

@keyframes border-transform {
    0% {
        border-radius: 63% 37% 54% 46%/55% 48% 52% 45%;
        transform: translateY(0px);
    }
    14% {
        border-radius: 40% 60% 54% 46%/49% 60% 40% 51%;
    }
    28% {
        border-radius: 54% 46% 38% 62%/49% 70% 30% 51%;
    }
    42% {
        border-radius: 61% 39% 55% 45%/61% 38% 62% 39%;
    }
    56% {
        border-radius: 61% 39% 67% 33%/70% 50% 50% 30%;
    }
    70% {
        border-radius: 50% 50% 34% 66%/56% 68% 32% 44%;
    }
    84% {
        border-radius: 46% 54% 50% 50%/35% 61% 39% 65%;
    }
    100% {
        border-radius: 63% 37% 54% 46%/55% 48% 52% 45%;
        transform: translateY(-20px);
    }
}

.impl_top_icon a:active {
    background: var(--impl-black-color);
}

.impl_top_icon a.show {
    opacity: 1;
    visibility: visible;
}

/********************************************************
    Loader Style
********************************************************/

.loader {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    z-index: 999999;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #FFF;
}

.spinner {
    position: relative;
    max-width: 200px;
    width: 200px;
}

.ball {
    border-radius: 50%;
    background: linear-gradient(84.1deg, #FF5536 0%, #FF8D59 100%);
    width: 10px;
    height: 10px;
    position: absolute;
    top: 20px;
    left: 50px;
    animation: loading 1.2s linear infinite;
}

.ball:nth-of-type(2) {
    animation-delay: 0.4s;
}

.ball:nth-of-type(3) {
    animation-delay: 0.8s;
}

@keyframes loading {
    0% {
        opacity: 0;
        transform: scale(0.5);
    }
    20% {
        opacity: 1;
        transform: scale(1);
    }
    40% {
        transform: translate3d(33px, 0, 0);
    }
    60% {
        transform: translate3d(66px, 0, 0);
    }
    80% {
        transform: translate3d(99px, 0, 0);
        opacity: 1;
    }
    100% {
        transform: translate3d(99px, 0, 0) scale(0.5);
        opacity: 0;
    }
}

/********************************************************
    Button Style
********************************************************/

.impl_btn {
    min-height: 45px;
    border-radius: 5px;
    min-width: 140px;
    width: fit-content;
    color: var(--impl-white-color);
    padding: 5px 15px;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: var(--impl-gradient-color);
    gap: 10px;
    line-height: normal;
    white-space: nowrap;
}

.impl_btn:hover {
    transform: scale(.95);
}

/********************************************************
    Banner Section Style
********************************************************/

.impl_banner_wrapper {
    position: relative;
    padding-top: 50px;
    background-image: url(../images/banner_bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border-radius: 0 0 80px 80px;
    overflow: hidden;
}

.impl_banner_wrapper::before {
    position: absolute;
    content: "";
    background-image: url(../images/banner_shaps.png);
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    left: 140px;
    animation: floating 10s infinite alternate;
}

@keyframes floating {
    from {
        transform: rotate(0deg) translate(-12px) rotate(0deg);
    }
    to {
        transform: rotate(360deg) translate(-12px) rotate(-360deg);
    }
}

.impl_logo {
    position: relative;
    text-align: center;
    z-index: 2;
}

.impl_banner_text {
    position: relative;
    text-align: center;
    z-index: 2;
}

.impl_banner_text h2 {
    font-size: 40px;
    font-weight: 700;
    color: var(--impl-heading-color);
    margin-bottom: 20px;
}

.impl_banner_text h2 span {
    color: #FF5536;
}

.impl_banner_text h4 {
    color: var(--impl-heading-color);
}

.impl_banner_btn,
.impl_banner_img,
.impl_demo_wrapper .container,
.impl_pages_wrapper .container-fluid,
.impl_responsive_wrapper .container,
.impl_sell_wrapper .container,
.impl_features_wrapper .container,
.impl_footer_wrapper .container {
    position: relative;
    z-index: 1;
}

.impl_banner_btn a {
    margin: auto;
    z-index: 2;
}

.impl_bnr_img {
    position: absolute;
}

.impl_bnr_img img {
    animation: impl_ud 2.5s infinite alternate;
}

.impl_bnr_img.img-1 {
    top: 10px;
    left: 255px;
}

.impl_bnr_img.img-1 img,
.impl_bnr_img.img-2 img {
    filter: drop-shadow(2px 4px 20px #FF724842);
}

.impl_bnr_img.img-2 {
    top: -30px;
    right: 317px;
}

.impl_bnr_img.img-3 {
    top: 35px;
    left: 0;
}

.impl_bnr_img.img-4 {
    top: 30px;
    right: 0;
    z-index: 1;
}

@keyframes impl_ud {
    0% {
        transform: translate(0)
    }
    to {
        transform: translateY(-10px)
    }
}

/********************************************************
    Demos Section Style
********************************************************/

.impl_demo_wrapper {
    position: relative;
    overflow: hidden;
}

.impl_demo_wrapper::before {
    position: absolute;
    content: "";
    background-image: url(../images/demo_shaps.png);
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    top: 170px;
    right: -125px;
    animation: floating 10s infinite alternate;
}

.impl_demo_box {
    position: relative;
    background-color: #FFF7F1;
    border: 1px solid #FFE9DA;
    border-radius: var(--impl-border-radius);
    padding: 10px;
}

.impl_demo_img {
    position: relative;
    max-height: 680px;
    border-radius: 5px;
    overflow: hidden;
    display: inline-flex;
}

.impl_demo_img img {
    width: 100%;
    min-height: 680px;
    object-fit: cover;
    object-position: top;
}

.impl_demo_box:hover .impl_demo_img img {
    object-position: bottom;
    transition: all 20s;
}

.impl_demo_text {
    margin: 20px 0 10px;
    text-align: center;
}

.impl_demo_text h5 {
    color: var(--impl-black-color);
}

.impl_demo_btns {
    position: absolute;
    background-color: rgba(241, 91, 91, 0.64);
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    left: 0;
    top: 0;
    opacity: 0;
    visibility: hidden;
    transition: var(--impl-transition);
}

.impl_demo_box:hover .impl_demo_btns{
    opacity: 1;
    visibility: visible;
}

.impl_demo_btns a{
    transform: scale(0);
    transition-delay: 0.2s;
}

.impl_demo_box:hover .impl_demo_btns a{
    transform: scale(1.0);
}
 
.impl_demo_car {
    position: absolute;
}

.impl_demo_car.img-1 {
    top: 50%;
    left: 0;
    transform: translateY(50%);
}

.impl_demo_car.img-2 {
    right: 0;
    bottom: 0;
}

/********************************************************
    Inner Pages Section Style
********************************************************/

.impl_pages_wrapper {
    position: relative;
    overflow: hidden;
    background-color: #FFE9DA;
    background-image: url(../images/pages_bg.png);
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 50px;
}

.impl_pages_wrapper::before {
    position: absolute;
    content: "";
    background-image: url(../images/pages_shaps.png);
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    top: 55px;
    right: -45px;
    animation: impl_ud 2.5s infinite alternate;
}

.impl_inner_slider {
    position: relative;
    padding-left: 5px;
    padding-right: 45px;
}

.impl_pages_slider {
    padding-left: 65px;
}

.impl_pages_img {
    max-height: 415px;
    border-radius: var(--impl-border-radius);
    overflow: hidden;
}

.impl_pages_img img {
    width: 100%;
    min-height: 415px;
    object-fit: cover;
}

/********************************************************
    Responsive Section Style
********************************************************/

.impl_responsive_wrapper {
    position: relative;
    overflow: hidden;
}

.impl_responsive_wrapper::before {
    position: absolute;
    content: "";
    background-image: url(../images/res_shapes.png);
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    top: 70px;
    right: -12px;
    animation: floating 10s infinite alternate;
}

.impl_res_girl {
    position: absolute;
    bottom: 0;
    left: 35px;
    z-index: 1;
}

.impl_resMob_imgs{
    display: none;
}

/********************************************************
    Sell & Purchase Section Style
********************************************************/

.impl_sell_wrapper {
    position: relative;
    overflow: hidden;
    background-color: #FFE9DA;
    background-image: url(../images/pages_bg.png);
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 50px;
}

.impl_sell_wrapper::before {
    position: absolute;
    content: "";
    background-image: url(../images/sell_shapes.png);
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    top: 25px;
    right: -2px;
    animation: impl_ud 2.5s infinite alternate;
}

/********************************************************
    Core Features Section Style
*******************************************************/

.impl_features_wrapper {
    position: relative;
    overflow: hidden;
}

.impl_features_wrapper::before {
    position: absolute;
    content: "";
    background-image: url(../images/feat_shapes.png);
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    top: 115px;
    right: 0;
    animation: floating 10s infinite alternate;
}

.impl_features_box {
    border: 1px solid #EEEEEE;
    background: var(--impl-white-color);
    padding: 35px 25px;
    border-radius: var(--impl-border-radius);
    text-align: center;
    position: relative;
    transition: var(--impl-transition);
    cursor: pointer;
}

.impl_features_icon {
    width: 70px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 20px;
    margin: auto;
    transition: var(--impl-transition);
}

.impl_features_icon.icon-1 {
    background: linear-gradient(180deg, #0837DB 0%, #6F8FFF 100%);
    box-shadow: 7px 6px 22px 0px #1642DF4D;
}

.impl_features_icon.icon-2 {
    background: linear-gradient(180deg, #FC490B 0%, #FF7849 100%);
    box-shadow: 7px 6px 22px 0px #FF78494D;
}

.impl_features_icon.icon-3 {
    background: linear-gradient(180deg, #E99C08 0%, #FFC453 100%);
    box-shadow: 7px 6px 22px 0px #E99C084D;
}

.impl_features_icon.icon-4 {
    background: linear-gradient(180deg, #7228B7 0%, #AE63F3 100%);
    box-shadow: 7px 6px 22px 0px #7228B74D;
}

.impl_features_icon.icon-5 {
    background: linear-gradient(180deg, #0EC0CB 0%, #3DF4E9 100%);
    box-shadow: 7px 6px 22px 0px #08CEDB4D;
}

.impl_features_icon.icon-6 {
    background: linear-gradient(180deg, #DB08A0 0%, #FF68D5 100%);
    box-shadow: 7px 6px 22px 0px #DB08A04D;
}

.impl_features_icon.icon-7 {
    background: linear-gradient(180deg, #07BF30 0%, #3AE25F 100%);
    box-shadow: 7px 6px 22px 0px #07BF304D;
}

.impl_features_icon.icon-8 {
    background: linear-gradient(180deg, #08A8DB 0%, #4ED4FF 100%);
    box-shadow: 7px 6px 22px 0px #08A8DB4D;
}

.impl_features_icon.icon-9 {
    background: linear-gradient(180deg, #C66105 0%, #F5B57B 100%);
    box-shadow: 7px 6px 22px 0px #C661054D;
}

.impl_features_icon.icon-10 {
    background: linear-gradient(180deg, #00A587 0%, #07D5AF 100%);
    box-shadow: 7px 6px 22px 0px #00A5874D;
}

.impl_features_box:hover .impl_features_icon {
    animation-duration: 1s;
    animation-fill-mode: both;
    animation-name: jackInTheBox;
}

@keyframes jackInTheBox {
    0% {
        opacity: 0;
        -webkit-transform: scale(.1) rotate(30deg);
        transform: scale(.1) rotate(30deg);
        -webkit-transform-origin: center bottom;
        transform-origin: center bottom
    }
    50% {
        -webkit-transform: rotate(-10deg);
        transform: rotate(-10deg)
    }
    70% {
        -webkit-transform: rotate(3deg);
        transform: rotate(3deg)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}

.impl_features_text {
    margin-top: 20px;
}

.impl_features_text h6 {
    color: var(--impl-heading-color);
}

/********************************************************
    Footer Section Style
*******************************************************/

.impl_footer_wrapper {
    position: relative;
    overflow: hidden;
    background-color: #FFE9DA;
    background-image: url(../images/pages_bg.png);
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 50px;
    padding-bottom: 0 !important;
}

.impl_footer_wrapper::before {
    position: absolute;
    content: "";
    background-image: url(../images/footer_shapes.png);
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    top: 2px;
    left: 80px;
    animation: impl_ud 2.5s infinite alternate;
}

.impl_footer_logo {
    position: relative;
    text-align: center;
    z-index: 2;
}

.impl_footer_text {
    position: relative;
    z-index: 2;
    text-align: center;
    margin: 25px auto 35px;
}

.impl_footer_text h2 {
    font-family: "Archivo", sans-serif;
    font-size: 36px;
    font-weight: 700;
    color: var(--impl-heading-color);
}

.impl_footer_text h1 {
    font-family: "Archivo", sans-serif;
    font-size: 50px;
    font-weight: 700;
    color: var(--impl-heading-color);
}

.impl_footer_btn {
    position: relative;
    z-index: 2;
}

.impl_footer_btn a {
    margin: auto;
}

.impl_copyright_text {
    border-top: 1px solid #FFFFFF;
    text-align: center;
    margin-top: 50px;
    padding: 12px 0;
}

.impl_copyright_text p {
    font-size: 14px;
}

.impl_footer_img.img-1,
.impl_footer_img.img-2 {
    position: absolute;
}

.impl_footer_img.img-1 {
    bottom: 0;
    left: 0;
    z-index: 1;
}

.impl_footer_img.img-2 {
    top: 50px;
    right: 0;
}